%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
Name:           libopensync
Version:        0.36
Release:        2%{?dist}
Summary:        A synchronization framework

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.opensync.org/
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite-devel
BuildRequires:  python-devel
BuildRequires:  swig
BuildRequires:  pkgconfig
BuildRequires:  cmake

%description
OpenSync is a synchronization framework that is platform and distribution
independent. It consists of several plugins that can be used to connect to
devices, a powerful sync-engine and the framework itself. The synchronization
framework is kept very flexible and is capable of synchronizing any type of
data, including contacts, calendar, tasks, notes and files. 

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel
Requires:       libxml2-devel
Requires:       sqlite-devel

%description    devel
The %{name}-devel package contains the files needed for development
with %{name}.

%prep
%setup -q

%build
mkdir build
cd build
%cmake -DOPENSYNC_LIBEXEC_DIR=%{_libexecdir} \
    -DCMAKE_SKIP_RPATH=YES \
    -DSWIG_DIR=/usr/share/swig/1.3.33/ ../
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/opensync-1.0
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/opensync-1.0/formats
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/opensync-1.0/{python-,}plugins

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/*.so.*
%{_libexecdir}/osplugin
%dir %{_libdir}/opensync-1.0
%dir %{_libdir}/opensync-1.0/formats
%dir %{_libdir}/opensync-1.0/python-plugins
%dir %{_libdir}/opensync-1.0/plugins
%{_libdir}/opensync-1.0/formats/*
%dir %{_datadir}/opensync-1.0
%{_datadir}/opensync-1.0/*
%{python_sitearch}/*

%files devel
%doc CODING
%defattr(-,root,root,-)
%dir %{_includedir}/opensync-1.0
%{_includedir}/opensync-1.0/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.36-2
- Rebuilt for gcc43

* Mon Jan 28 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-2
- use cmake macro

* Thu Dec 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- version upgrade

* Sun Oct 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.33-1
- version upgrade

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.22-4
- new license tag
- rebuild for buildid

* Thu Apr 26 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.22-3
- fix typo

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.22-2
- fix #228375

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.22-1
- version upgrade #231845

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.20-1
- version upgrade #217150

* Thu Dec 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu>
0.19-2
- Rebuild for new Python

* Thu Oct 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.19-1
- version upgrade #210443 #209281

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-7
- FE6 rebuild

* Wed Feb 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-6
- Rebuild for Fedora Extras 5

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-5
- change handling of ld.so.conf files
- patch configure for x86_64 python
- add wrapper compile patch (no Werror)

* Sun Dec 11 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-4
- add dist

* Sun Dec 11 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-3
- .c and .h files should not be marked executable

* Sun Dec 04 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-2
- fix missing BR
- mark ldconf as config

* Sat Nov 12 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-1
- Version upgrade

* Mon Oct 03 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.17-1
- Initial Release
